


function love.load()
    
    require 'optimize'
    
   wf = require 'windfield' --gets the obj 
   
   world = wf.newWorld( 0 , 0 , true ) --0,0 means zero gravity in x and y direction
   --true means bodies can sleep when not touched.good for performance
   
   
   moveStick = false --this is for checking to stop joy from moveing the body when were not touching screen
   
   touchX = 0
   
   touchY = 0
   
   
   angle = 0 --stick angle
   
   
   joyStickCenterX = 200
   
   joyStickCenterY = 200
   
   joyStickRadius = 100
      
      
      
      
       
    width, height = LG.getDimensions() --
    
    
    centerOfScreenX = width / 2 
    
    centerOfScreenY = height / 2 
    
    
    
   
   x = 0 --sin cos 
   
   y = 0
   
   bx = centerOfScreenX
   
   by = centerOfScreenY
   
   --use world obj to make new body and we assign it to var so we can change it later if wanted
   
   body = world:newRectangleCollider( bx , by , 50 , 50  ) --x , y pos , width height
   
   body:setLinearDamping (1) --this prevents the body from drifting off it slows it down over time
    
end


function love.update(dt)
    
    world:update(dt) 
     
end



function love.draw()
    
    
    --you cant see physics bodies so you have to draw something over top of them to see where they are
    rect( 'line' , body:getX() , body:getY() , 50 ,50)
    
    -- get x y gets x y pos of body very usefull
    
    
    joyStick()
    
end



function joyStick ()
    
    
       local distanceX =  touchX - joyStickCenterX 
    
       local distanceY = touchY - joyStickCenterX
      
       local distance = sqrt (  distanceX * distanceX + distanceY * distanceY )

    
         --we could also do a distance check 
         --if distamce leaas than radius of joy then its in range to change joyStickRadius
           -- the movestick addition wont work if your touching someother button on screen
           
    if distance < abs( joyStickRadius ) and moveStick then --used abs cause distance is distance nomatter if negative or plus 

                    
      --note that the point away from the center is the second varaiables.
        angle = atan2 ( touchY - joyStickCenterY , touchX - joyStickCenterX )
    
            
          --get vector x ,y 
         x = cos ( angle ) --rememner without multiplying this by a distance it becomes a unit 1
        y = sin( angle )  --so no need to normalize it to a unit (i think)
  
        --apply force to body with x y cos sin
        body:applyForce(  x * 300 , y * 300 )
             

        
    end

    
            --drawthe joystick    
          circle("line",  joyStickCenterX ,  joyStickCenterY ,  joyStickRadius )
          
          --i added the offset from thr center of the joystick and mutiplied by the radius to reach the edge of circle
          line( joyStickCenterX , joyStickCenterY , joyStickCenterX + x * joyStickRadius  , joyStickCenterY + y * joyStickRadius  )  
       
               
               
               --=====> debug
               print (' angle  = ' ..angle )
               
               print ( ' X = ' ..x ,0,30 )
               
               print ( ' Y = ' ..y ,0,60 )
    

    
end


function love.touchmoved( id, x, y, dx, dy, pressure )
   
   
    
    touchX = x 
    
    touchY = y
    
    
end

function love.touchpressed( id, x, y, dx, dy, pressure )
   
   
    
    touchX = x 
    
    touchY = y
    
    moveStick = true
    
    
end


function love.touchreleased( id, x, y, dx, dy, pressure )

   moveStick = false


end