


function love.load()
    
    require 'optimize'
    
    sti = require 'sti' --map loader displayer

    
    map = sti( 'myMap.lua' )
    --
    
    wf = require 'windfield'
    
    world = wf.newWorld(0,0,true)
    
    
    if map.layers['solids'] ~= nil then
     
        for i, obj in ipairs( map.layers['solids'].objects ) do
            
             world:newRectangleCollider( obj.x , obj.y , obj.width , obj.height  ) --x , y pos , width height
           -- you could create a reference var for each body and add to a table for manipulation
           -- but the solids layer i created doesnt change so i dont see that need here
           
           --here im just adding them to ther world
            
        end
        
    end 
     
    
    
    
    
end


function love.update(dt)

    map:update( dt )
     
end



function love.draw()

    
        map:drawLayer( map.layers['Tile 1'] )
        
        
        --this draws an outline over all bodies in he world
        
     local bodyTable = world:getBodies() 
    
    for _, body in ipairs( bodyTable ) do --for each body in tabel
        
        local fixtureTable = body:getFixtures() --get all fixtures attacked to each body
        
        for _, fixs in ipairs( fixtureTable ) do
            
            if fixs:getShape():type() == 'PolygonShape' then --rectangle is a polygon
                --this draws the outline
                drawPoly( 'line',  body:getWorldPoints( fixs:getShape():getPoints() )  )
                
            end
            
        end--inner for
        
    end--outr for
    
    
    
    
end--draw





