



function love.load()
    
    require 'optimize'
    
    
    width, height = LG.getDimensions() --gets width height of screen  in pixels
    
    
    centerOfScreenX = width / 2 --used for positioning at center of screen
    
    centerOfScreenY = height / 2 
    
    touchX = 0
    
    touchY = 0
    
    
    
   font =  newFont(30) --
   setFont( font ) --
    
    
end



function love.update(dt)
    
end

function love.draw()
    
    --now that we can get distance and angle we can get vector angle
    --which has a start at 0,0 
    
    --When programming games we often start with a given heading and speed.
    --These two values are sometimes called "polar" coordinates.
    --It's fairly easy to convert the angle (or heading) and the length (speed) 
 

    circle ('line' , centerOfScreenX , centerOfScreenY , 10 ) --10 is radius
    
    

    line ( centerOfScreenX , centerOfScreenY , touchX , touchY )
    
  
    
    setColor(1,0,0) --change the lines color to red
 
    line ( centerOfScreenX , 0 , centerOfScreenX , height ) --top to bottom line red
    
    setColor( 1,1,1 ) --remeber to set it back!
    
    
   --===> get distance
  local distanceX = centerOfScreenX - touchX
    
   local distanceY =  centerOfScreenY - touchY
   
   local distance = sqrt (  distanceX * distanceX + distanceY * distanceY )
    
   print( ' distance = ' ..floor ( distance ) , 0 , 30 )
      
    
    --====> now get angle

   local angle = atan2 ( touchY - centerOfScreenY , touchX - centerOfScreenX )
   
   print( ' angle in radians = ' ..angle , 0 , 60 )
 
 
   --notice the sin cos get smaller as they reach the center of the first point
   --this can be used to move bodies in certsin directions or get a points x and yield
   --offset from the center position
   
   --remember that without multiplying these by a number it will be no larger than 1
   local x = cos( angle ) * distance
   local y = sin( angle ) * distance
   
   print( ' x = ' ..floor ( x ) , 0 , 100 )
   
   print (' y = ' ..floor ( y ) , 0 , 160 )
   
   print('X '.. floor ( x ) , touchX , touchY -40 )
   
   print( 'Y'.. floor ( y ) , touchX -20 , touchY - 20)
   
   print ( ' X=0 Y= 0' , centerOfScreenX - 20 , centerOfScreenY + 20 ) --at vectors origin which is zero zero
 
   -- 0,0 is always at the center of the vecor because the direction outward is relative to its own center
   --so moveimg to its left would be negative X in world space and to the right would be positive X in world space
   
   
      
end



function love.touchmoved( id, x, y, dx, dy, pressure )
   
   
    
    touchX = x 
    
    touchY = y
    
    
end



function love.touchpressed( id, x, y, dx, dy, pressure )
    
    touchX = x 
    
    touchY = y
    
    
end



