


function love.load()
    
    require 'optimize'
    
   wf = require 'windfield' --gets the obj 
   
   world = wf.newWorld( 0 , 0 , true ) --0,0 means zero gravity in x and y direction
   --true means bodies can sleep when not touched.good for performance
   
   
   moveStick = false --this is for checking to stop joy from moveing the body when were not touching screen
   
   touchX = 0
   
   touchY = 0
   
   
   angle = 0 --stick angle
   
   
   joyStickCenterX = 200
   
   joyStickCenterY = 400
   
   joyStickRadius = 100
      
      
      
      
       
    width, height = LG.getDimensions() --
    
    
    centerOfScreenX = width / 2 
    
    centerOfScreenY = height / 2 

   x = 0 --sin cos of stick angle
   
   y = 0

   
   tic = 0
   
   
end


function love.update(dt)
    
    world:update(dt) 
    
    tic = tic + dt
     
end



function love.draw()
    
     world:draw()--draw outlines
    
    joyStick()
    
end



function joyStick ()
    
    
       local distanceX =  touchX - joyStickCenterX 
    
       local distanceY = touchY - joyStickCenterY
      
       local distance = sqrt (  distanceX * distanceX + distanceY * distanceY )

 
    if distance < abs( joyStickRadius ) and moveStick then --used abs cause distance is distance nomatter if negative or plus 

        angle = atan2 ( touchY - joyStickCenterY , touchX - joyStickCenterX )
    
       
         x = cos ( angle ) --rememner without multiplying this by a distance it becomes a unit 1
         y = sin( angle )  --so no need to normalize it to a unit (i think)


     if tic > 1 then --inner check for time to shoot
              
              
              --notice that i have to add the joys center to the place i want the body to show up
              --with a moveing body i csn just set the bullet to the x y of the body
              
              --notice that im also ading the sin cos x ty times the radius so it will be at the outer edge
              --of the stick
              
              local body = world:newRectangleCollider( joyStickCenterX + x * joyStickRadius , joyStickCenterY + y * joyStickRadius  , 30 , 30  ) --x , y pos , width height
    
              --im multiplying the sin cos resuot by a number to scale it cause else it less than 1
              body:setLinearVelocity( x * 200 , y * 200) 
              
              
              tic = 0 --reset tic so it has to build up time for the next shot
             
       end --tic check for bullespawn
     
        
    end

    
            --drawthe joystick    
          circle("line",  joyStickCenterX ,  joyStickCenterY ,  joyStickRadius )
          
          --i added the offset from thr center of the joystick and mutiplied by the radius to reach the edge of circle
          line( joyStickCenterX , joyStickCenterY , joyStickCenterX + x * joyStickRadius  , joyStickCenterY + y * joyStickRadius  )  
       
               
               
               --=====> debug
               print (' stick radius  = ' ..joyStickRadius )
               
               print ( 'cos X = ' ..x ,0,30 )
               
               print ( 'sin Y = ' ..y ,0,60 )
               
               print (' cos x times stick radius = ' ..x * joyStickRadius  ,0,80 )
               
               print (' sin y times stick radius = ' ..y * joyStickRadius  ,0,100)
               
               
    

    
end


function love.touchmoved( id, x, y, dx, dy, pressure )
   
   
    
    touchX = x 
    
    touchY = y
    
    
end

function love.touchpressed( id, x, y, dx, dy, pressure )
   
   
    
    touchX = x 
    
    touchY = y
    
    moveStick = true
    
    
end


function love.touchreleased( id, x, y, dx, dy, pressure )

   moveStick = false


end