


function love.load()
    
    require 'optimize'
    
   wf = require 'windfield' --gets the obj 
   
   world = wf.newWorld( 0 , 0 , true ) --0,0 means zero gravity in x and y direction
   --true means bodies can sleep when not touched.good for performance
   
   
       
    width, height = LG.getDimensions() --
    
    
    centerOfScreenX = width / 2 --
    
    centerOfScreenY = height / 2 
    
   
   startX = 100
   
   startY = 100
   
   --use world obj to make new body and we assign it to var so we can change it later if wanted
   
   body = world:newRectangleCollider( startX , startY , 100 , 100   ) --x , y pos , width height
    
    
    speed = 1000
    
end


function love.update(dt)
    
    world:update(dt) --if you dont update with the dt var nothing will move in the world

end



function love.draw()
    
    
    circle ('fill' , centerOfScreenX , centerOfScreenY , 10 )--center of screen
    
    
    
    
    --first get angle
    
    --you could use any points x y to get an angle too like player or whatever
    angleToPoint = atan2 ( centerOfScreenY - body:getY() ,  centerOfScreenX - body:getX()   )
    
    
    
    
    --then get sin cos to get the x y along the angles line to the point
    
    local xToPoint = cos ( angleToPoint ) * speed
    
    local yToPoint = sin ( angleToPoint ) * speed
    
    
    
    --then apply this vector to the body
    
    --note that if we want to limit the bodys speed we need to check its velocity and switch
    body:applyForce( xToPoint , yToPoint )
    
    
    
    --NOTICE that the body swings back and forth towards the point that because it momentum
    --and thers nothing for it to run into we can solve this by adding :setLinearDamping()
    --to the body when we create it
    --or running it into something
    
    --also if we were just setting its position instead of applying force or useing a non physicw body
    --it would move to point without physics effects
    
    --look at next project for the solution
    
    world:draw()
    
    
    


end
